Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Migrated from jeweler to bundler

  • Loading branch information...
commit 18b5ba213fb7dfb03acd25dac6af20860added57 1 parent 3f664ec
Gleb Pomykalov authored
7 .gitignore
View
@@ -1,6 +1,7 @@
+*.gem
+.bundle
+Gemfile.lock
+pkg/*
coverage
tmp
-.idea
-
-Gemfile.lock
3  Gemfile
View
@@ -1,3 +1,4 @@
-source :rubygems
+source "http://rubygems.org"
+# Specify your gem's dependencies in daemonizer.gemspec
gemspec
23 Rakefile
View
@@ -1,25 +1,4 @@
-require 'rubygems'
-require 'rubygems/specification'
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gemspec|
- gemspec.name = "daemonizer"
- gemspec.summary = "Daemonizer allows you to easily create custom daemons on ruby. Supporting prefork model"
- gemspec.description = "Inspired by bundler and rack. Mostly built on top of Alexey Kovyrin's loops code. http://github.com/kovyrin/loops"
- gemspec.email = "glebpom@gmail.com"
- gemspec.homepage = "http://github.com/glebpom/daemonizer"
- gemspec.authors = ["Gleb Pomykalov"]
- gemspec.add_dependency('thor', '>= 0.13.7')
- gemspec.add_dependency('simple-statistics', '>=0.0.3')
- gemspec.add_development_dependency "rspec", ">=2.1.0"
- gemspec.add_development_dependency "mocha", ">=0.9.9"
- gemspec.add_development_dependency "yard", ">= 0"
- end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler not available. Install it with: gem install jeweler"
-end
+require "bundler/gem_tasks"
require 'rspec/core/rake_task'
RSpec::Core::RakeTask.new do |t|
1  VERSION
View
@@ -1 +0,0 @@
-0.4.17
92 daemonizer.gemspec
View
@@ -1,80 +1,28 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "daemonizer/version"
Gem::Specification.new do |s|
- s.name = %q{daemonizer}
- s.version = "0.4.16"
+ s.name = "daemonizer"
+ s.version = Daemonizer::VERSION
+ s.authors = ["Gleb Pomykalov"]
+ s.email = ["glebpom@gmail.com"]
+ s.homepage = "http://github.com/glebpom/daemonizer"
+ s.summary = "Daemonizer allows you to easily create custom daemons on ruby. Supporting prefork model"
+ s.description = "Inspired by bundler and rack. Mostly built on top of Alexey Kovyrin's loops code. http://github.com/kovyrin/loops"
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Gleb Pomykalov"]
- s.date = %q{2010-09-08}
- s.default_executable = %q{daemonizer}
- s.description = %q{Inspired by bundler and rack. Mostly built on top of Alexey Kovyrin's loops code. http://github.com/kovyrin/loops}
- s.email = %q{glebpom@gmail.com}
- s.executables = ["daemonizer"]
- s.extra_rdoc_files = [
- "LICENSE",
- "README.md"
- ]
- s.files = [
- "LICENSE",
- "README.md",
- "ROADMAP",
- "Rakefile",
- "VERSION",
- "bin/daemonizer",
- "daemonizer.gemspec",
- "lib/daemonizer.rb",
- "lib/daemonizer/autoload.rb",
- "lib/daemonizer/cli.rb",
- "lib/daemonizer/config.rb",
- "lib/daemonizer/daemonize.rb",
- "lib/daemonizer/dsl.rb",
- "lib/daemonizer/engine.rb",
- "lib/daemonizer/errors.rb",
- "lib/daemonizer/handler.rb",
- "lib/daemonizer/option.rb",
- "lib/daemonizer/process_manager.rb",
- "lib/daemonizer/stats.rb",
- "lib/daemonizer/worker.rb",
- "lib/daemonizer/worker_pool.rb",
- "spec/spec.opts",
- "spec/spec_helper.rb",
- "spec/test_spec.rb"
- ]
- s.homepage = %q{http://github.com/glebpom/daemonizer}
- s.rdoc_options = ["--charset=UTF-8"]
+ s.rubyforge_project = "daemonizer"
+
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{Daemonizer allows you to easily create custom daemons on ruby. Supporting prefork model}
- s.test_files = [
- "spec/spec_helper.rb",
- "spec/test_spec.rb"
- ]
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
+ s.add_development_dependency "rspec", ">=2.1.0"
+ s.add_development_dependency "mocha", ">=0.9.9"
+ s.add_development_dependency "yard", ">= 0"
+ s.add_development_dependency "rake"
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<thor>, [">= 0.13.7"])
- s.add_runtime_dependency(%q<simple-statistics>, [">= 0"])
- s.add_development_dependency(%q<rspec>, [">= 1.2.9"])
- s.add_development_dependency(%q<mocha>, [">= 0.9.12"])
- s.add_development_dependency(%q<yard>, [">= 0"])
- else
- s.add_dependency(%q<thor>, [">= 0.13.7"])
- s.add_dependency(%q<simple-statistics>, [">= 0"])
- s.add_dependency(%q<rspec>, [">= 1.2.9"])
- s.add_dependency(%q<yard>, [">= 0"])
- end
- else
- s.add_dependency(%q<thor>, [">= 0.13.7"])
- s.add_dependency(%q<simple-statistics>, [">= 0"])
- s.add_dependency(%q<rspec>, [">= 1.2.9"])
- s.add_dependency(%q<yard>, [">= 0"])
- end
+ s.add_runtime_dependency "thor", ">= 0.13.7"
+ s.add_runtime_dependency "simple-statistics", ">=0.0.3"
end
-
2  lib/daemonizer.rb
View
@@ -1,3 +1,4 @@
+require 'daemonizer/version'
require 'rubygems'
require 'yaml'
require 'erb'
@@ -5,7 +6,6 @@
require 'logger'
require 'simple-statistics'
-
module Daemonizer
def self.root=(value)
3  lib/daemonizer/version.rb
View
@@ -0,0 +1,3 @@
+module Daemonizer
+ VERSION = "0.5.0.beta.1"
+end
Please sign in to comment.
Something went wrong with that request. Please try again.